[Bash-completion-commits] [SCM] bash-completion branch, master, updated. 360b3dbe196294fd488bfe1b833175ba8febfdd3

Ville Skyttä ville.skytta at iki.fi
Sun Jan 3 13:56:51 UTC 2010


The following commit has been merged in the master branch:
commit 360b3dbe196294fd488bfe1b833175ba8febfdd3
Author: Ville Skyttä <ville.skytta at iki.fi>
Date:   Sun Jan 3 15:56:00 2010 +0200

    (testsuite) Indentation fixes.

diff --git a/test/lib/library.sh b/test/lib/library.sh
index f995d5b..98107dc 100644
--- a/test/lib/library.sh
+++ b/test/lib/library.sh
@@ -43,17 +43,17 @@ echo_array() {
 # @param $3  (integer) Patch level
 # @return  0 if success, > 0 if not
 is_bash_version_minimal() {
-	[[      (
-			${BASH_VERSINFO[0]} -gt $1
-		) || (
-			${BASH_VERSINFO[0]} -eq $1 && 
-			${BASH_VERSINFO[1]} -gt $2
-		) || (
-			${BASH_VERSINFO[0]} -eq $1 && 
-			${BASH_VERSINFO[1]} -eq $2 && 
-			${BASH_VERSINFO[2]} -ge $3
-		)
-	]]
+    [[      (
+                ${BASH_VERSINFO[0]} -gt $1
+            ) || (
+                ${BASH_VERSINFO[0]} -eq $1 &&
+                ${BASH_VERSINFO[1]} -gt $2
+            ) || (
+                ${BASH_VERSINFO[0]} -eq $1 &&
+                ${BASH_VERSINFO[1]} -eq $2 &&
+                ${BASH_VERSINFO[2]} -ge $3
+            )
+    ]]
 } # is_bash_version_minimal()
 
 

-- 
bash-completion



More information about the Bash-completion-commits mailing list